REM -------------------------------------------------------------------------
REM  #Description.............: add TC FSC path to path valiabel
REM  #New.....................: 01.04.2025/J.Fes
REM  #LUp.....................: 02.04.2025/J.Fes

REM -------------------------------------------------------------------------
REM  #DOC use case............: if using  tools like PLMEasy:TCPB_Data_Import.exe or plmxml_export.exe then
REM                             TC FSC paths must be included in the path variable
REM  #EXA.....................: Call TCPrompt_FSCPathAdd.cmd

if not defined FSC_HOME set FSC_HOME=%tc_root%\fsc
Call Echo2 "----" "----"
Call Echo2 "TC FSC Path" "add to path variable"
Call Echo2 "FSC_HOME" "%FSC_HOME%"

set JobMgr_TcFSC_Path=
Call PathaddEnv.cmd^
 JobMgr_TcFSC_Path^
 %FSC_HOME%;^
 %FSC_HOME%\bin;^
 %FSC_HOME%\lib

if defined JobMgr_TcFSC_Path set path=%Path%;%JobMgr_TcFSC_Path%

if /i "%JobMgr_Debug%" neq "ON" goto :JumbOverDebug
 Call Echo2 "#D:TC FSC Path add" "to path variable done // press any key to continue"
 pause
:JumbOverDebug

Call Echo2 "----" "----"
